JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Macros | Typedefs | Enumerations
juce_khrplatform.h File Reference

## Macros
#define | KHRONOS_APICALL
#define | KHRONOS_APIENTRY
#define | KHRONOS_APIATTRIBUTES
#define | KHRONOS_SUPPORT_INT64 1
#define | KHRONOS_SUPPORT_FLOAT 1
#define | KHRONOS_MAX_ENUM 0x7FFFFFFF

## Typedefs
typedef int32_t | khronos_int32_t
typedef uint32_t | khronos_uint32_t
typedef int64_t | khronos_int64_t
typedef uint64_t | khronos_uint64_t
typedef signed char | khronos_int8_t
typedef unsigned char | khronos_uint8_t
typedef signed short int | khronos_int16_t
typedef unsigned short int | khronos_uint16_t
typedef signed long int | khronos_intptr_t
typedef unsigned long int | khronos_uintptr_t
typedef signed long int | khronos_ssize_t
typedef unsigned long int | khronos_usize_t
typedef float | khronos_float_t
typedef khronos_uint64_t | khronos_utime_nanoseconds_t
typedef khronos_int64_t | khronos_stime_nanoseconds_t

## Enumerations
enum | khronos_boolean_enum_t { KHRONOS_FALSE = 0 , KHRONOS_TRUE = 1 , KHRONOS_BOOLEAN_ENUM_FORCE_SIZE = 0x7FFFFFFF }